Commit 2b7e3672 authored by Emilio Pozuelo Monfort's avatar Emilio Pozuelo Monfort
Browse files

Tell gtk+ we really need the wayland backend

So that it doesn't choose the x11 backend when DISPLAY is set,
e.g. when running weston on x11 or when xwayland is available.

Require gtk+ 3.10 for this.
parent b5090695
......@@ -23,7 +23,7 @@ PKG_PROG_PKG_CONFIG()
PKG_CHECK_MODULES([GTK], [
wayland-client >= 1.0.2
weston >= 1.3.0
gtk+-3.0 >= 3.7
gtk+-3.0 >= 3.10
gtk+-wayland-3.0
libgnome-menu-3.0
gnome-desktop-3.0
......
......@@ -254,6 +254,8 @@ main(int argc, char *argv[])
{
struct desktop *desktop;
gdk_set_allowed_backends ("wayland");
gtk_init(&argc, &argv);
desktop = malloc(sizeof *desktop);
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment